# 32/64bit spec-file
#

%ifnarch x86_64
%define _with_nero				0
%else
%define _with_nero				0
%endif
%define _nero_aac_ver 			1.3.3.0
%define _ogmrip_nero_aac_ver	0.5

Summary:		A OGMRip plugin which adds support for Nero-AAC audio codec
Name:			ogmrip-nero-aac
Version:		%{_ogmrip_nero_aac_ver}
Release:		%mkrel 1
Source0:		%{name}-%{version}.tar.xz
%if "%{_with_nero}" == "1"
Source1:		http://ftp6.nero.com/tools/NeroDigitalAudio.zip
%endif
License:		LGPL
Group:			Video
Url:			http://ogmrip.sourceforge.net/
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:		glib2-devel
BuildRequires:		ogmrip-devel
BuildRequires:		pkgconfig
BuildRequires:		unzip
Requires:		mplayer
%if "%{_with_nero}" == "1"
Requires:		nero-aac >= %{_nero_aac_ver}
%endif
Requires:		ogmrip

%if "%{_with_nero}" == "1"
NoSource:		1
%endif

%description
ogmrip-nero-aac is a plugin which adds support for Nero-AAC
audio codec.


%if "%{_with_nero}" == "1"
%package -n nero-aac
Summary:	nero-aac encoder/decoder
Group:		Video
Version:	%{_nero_aac_ver}

%description -n nero-aac
Nero AAC reference quality MPEG-4 and 3GPP audio codec

* Compression ratios ranging from Ultra High (58 CDs fit on one!)
  to High-End Audio (2.5:1), for absolutely perfect audiophile
  encodings
* Crystal-clear, award-winning sound quality at every compression
  ratio and bit rate!
* Support for embedded album art including covers, booklets, and
  lyrics
* Store an entire audio album in a single .mp4 file with all the
  features of an Audio CD embedded inside, but at a fraction of the
  space!
* Reference quality MPEG-4 audio codec
* Fully compatible with the latest version of the state-of-the-art
  MPEG-4 audio standard (LC-AAC, HE-AAC and HE-AAC v2)

Nero AG licenses you to use this software package for personal
non-commercial and/or technology-evaluation purposes.

This License does not provide any rights to reproduce and/or
distribute this software package in whole or in any part.

A written license agreement with Nero AG is needed for any Commercial
use of this software package, including, but not limited to,
exploitation of products, which are incorporating and/or using, in
whole or in part, executables provided in this software package.

Please contact Nero AG for licensing guidance.
%endif

%prep
%setup -q -n %{name}-%{_ogmrip_nero_aac_ver}

%if "%{_with_nero}" == "1"
%__unzip -q %{SOURCE1}
%endif

%build
%configure2_5x \
	--enable-static=no
%make 

%install
%makeinstall_std
mkdir -p %{buildroot}%{_libdir}/ogmrip/audio-plugins/

%if "%{_with_nero}" == "1"
install -dm 755 %{buildroot}%{_bindir}
install -m 755 linux/neroAac* \
	%{buildroot}%{_bindir}
%endif

rm -f %{buildroot}%{_libdir}/ogmrip/audio-plugins/*.la

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%dir %{_libdir}/ogmrip/audio-plugins
%{_libdir}/ogmrip/audio-plugins/libogmrip-nero-aac.so
%{_datadir}/locale/fr/LC_MESSAGES/*.mo

%if "%{_with_nero}" == "1"
%files -n nero-aac
%defattr(-,root,root)
%doc *.txt
%{_bindir}/neroAac*
%endif

%changelog
* Sun Feb 24 2013 Ken <lxgator@gmail.com> 0.5-1pclos2013
- 0.5

* Sat Jul 28 2009 slick50 <slick50@gmail.com> 0.4-1pclos2009
- 0.4

* Sat May 02 2009 pcserver <pcserver@hushmail.com> 0.3-2pclos2009
- fix synaptic group

* Tue Mar 24 2009 Texstar <texstar@gmail.com> 0.3-1pclos2007
- import from Toni Graffy

